package com.emr.service.approve;

import com.emr.entity.approve.Emr_Apply_Approve;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface ApplyApproveService {
    void addEmrApplyApprove(Emr_Apply_Approve applyApprove, HttpServletRequest request);

    void updateEmrApplyApprove(Emr_Apply_Approve applyApprove) throws Exception;

    void deleteByPrimaryKey(Integer id);

    List<Emr_Apply_Approve> selectNotSumbitPatientIdsByUser(String userName,String patientId,short type);

    List<Emr_Apply_Approve> selectAllApproveByCreater(Emr_Apply_Approve applyApprove,String startTime1,
                                                      String endTime1,String startTime2, String endTime2,HttpServletRequest request);
    List<Emr_Apply_Approve> selectAllApprove(Emr_Apply_Approve applyApprove, String startTime1, String endTime1,
                                                    String startTime2, String endTime2,HttpServletRequest request) throws Exception;

    int SimpleInsert(List<Emr_Apply_Approve> list);

    int SimpleUpdate(Emr_Apply_Approve record,String idsStr);

    /**
     * 发送通知
     * */
    void sendNotice(String applyType,int count) throws Exception;

    List<String>expireTime(String currentTime,int effeDays);
}
